View Issue Details

IDProjectCategoryView StatusLast Update
0000189Volume 2Featurepublic2020-02-28 01:34
ReporterChetAssigned ToOth 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionIssue 2Fixed in VersionIssue 2 
Summary0000189: Port SCoRE/HC's implementation of /macro_image
Descriptionport SCoRE/HC's implementation of /macro_image as detailed in this reddit post: https://redd.it/c0tu6u

Copy from reddit:
"You can give your macros icons instead of having it be a grey circle with words with the /macro_image command. The format for the command is: /macro_image "Image_Name" "Tooltip Text" "Command"

For example, my costume change macro is created with /macro_image "Inherent_KnightsBastion" "Costumes" "popmenu CherryCC". CherryCC is the name of a menu file for one of my character's costumes. I also like /macro_image "Teleport_LongRangeTeleport" "Teleports" "popmenu Teleports".

You can put whatever you want in there though. Masterminds can have /macro_image "PetCommand_Action_Bodyguard" "Bodyguard" "petcom_all follow defensive" and /macro_image "PetCommand_Action_Dismiss" "Dismiss" "petcom_all dismiss" if they want to complete the set.

The icons have to be 32x32 and in the game files - you can't use a square of your face or anything. "

from: Plutocracy (Rebirth) (plutocracy#2654)
TagsNo tags attached.
subsystemGame, MapServer

Activities

Issue History

Date Modified Username Field Change
2019-07-02 00:26 Chet New Issue
2020-01-31 19:00 Chet Assigned To => Oth
2020-01-31 19:00 Chet Status new => assigned
2020-01-31 19:01 Chet Target Version => Issue 2
2020-01-31 19:01 Chet subsystem => Game, MapServer
2020-01-31 19:01 Chet Note Added: 0000176
2020-02-28 01:33 Chet Note Added: 0000179
2020-02-28 01:34 Chet Status assigned => resolved
2020-02-28 01:34 Chet Resolution open => fixed
2020-02-28 01:34 Chet Fixed in Version => Issue 2